/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifacts.services;

/**
 * ExceprionClass for MetaDataServices.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class MetaDataServiceException extends Exception {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -7489185270678994565L;

    /**
     * Constructor
     */
    public MetaDataServiceException() {
        super();
    }

    /**
     * Constructor
     * @param arg0
     */
    public MetaDataServiceException(String arg0) {
        super(arg0);
    }

    /**
     * Constructor
     * @param arg0
     */
    public MetaDataServiceException(Throwable arg0) {
        super(arg0);
    }

    /**
     * Constructor
     * @param arg0
     * @param arg1
     */
    public MetaDataServiceException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
